Subject: GREEN CARD

From: [email-masked] (alli semiu o)
Date: Tue, 15 Feb 94 09:17:38 CST

Dear friends:

I am a CSPA in Kansas state.  I was approved by INS Lincoln Service Center 
on sept. 22 1993. I got a temporary stamp on my passport.  Since the time
past for certain long time, all my friends in this city got their real card
except mine.  What should I do?  Wait or send a letter to the local INS?
Is that possable to renew the temporary card? 

Has anyone in this area not received you green card either?

Thanks  for   the  help!